//
//  BsBaseurlManager.swift
//  BaiSiSMApp
//
//  Created by davidhuang on 2022/10/17.
//  Copyright © 2022 www.davidhuang.com. All rights reserved.
//

// MARK: - 管理项目开发中需要使用到的域名地址
class YHBaseUrlManager {
    
    static let shared = YHBaseUrlManager()
    
    //开发环境
//    static let baseUrlTest : String = "https://test-private-sphere.galaxy-immi.com/"
//    static let baseUrlTest : String = "https://test.api.gateway.galaxy-immi.com/"
//    static let baseUrlTest : String = "https://test-api-gateway.galaxy-immi.com/" //智汇银河 - 微信小程序
    //测试环境
    static let baseUrlTest : String = "http://test.api.diymanager.galaxy-immi.com/" //APP 使用域名
    //正式环境
    static let baseUrlRelease : String = "http://test.api.diymanager.galaxy-immi.com/"
    
    static let baseOSSUrlTest : String = "https://test-comserver.galaxy-immi.com/"
    static let baseOSSUrlRelease : String = "https://test-comserver.galaxy-immi.com/"
//    static let baseOSSUrlRelease : String = "http://comserver.galaxy-immi.com/" //正式环境
    
    
    //h5开发环境
    static let h5UrlDev : String = ""
    //h5正式环境
    static let h5UrlRelease : String = ""
    
    
    //用于外部编辑的
    var urlForEditing : String?
    
    
    // MARK: - 当前使用的url
    func curURL() -> String {
#if DEBUG
        return urlForEditing ?? YHBaseUrlManager.baseUrlTest
#else
        return YHBaseUrlManager.baseUrlRelease
#endif
    }
    
    func curOssURL() -> String {
#if DEBUG
        return urlForEditing ?? YHBaseUrlManager.baseOSSUrlTest
#else
        return YHBaseUrlManager.baseOSSUrlRelease
#endif
    }
    
    // MARK: - 当前使用的url
    func h5URL() -> String {
#if DEBUG
        return YHBaseUrlManager.h5UrlDev
#else
        return YHBaseUrlManager.h5UrlRelease
#endif
    }
    
    
}
